## loci.formats
Class MetamorphReader

    java.lang.Object
      loci.formats.FormatHandler
          loci.formats.FormatReader
              loci.formats.BaseTiffReader
                  loci.formats.MetamorphReader

public class MetamorphReader
extends BaseTiffReader

Reader is the file format reader for Metamorph STK files.

Field Summary

Fields inherited from class loci.formats.BaseTiffReader
`ifds, in, numImages`

Fields inherited from class loci.formats.FormatReader
`DEBUG, DEBUG_LEVEL, metadata, ome`

Fields inherited from class loci.formats.FormatHandler
`chooser, currentId, filters, format, suffixes`

Constructor Summary
`MetamorphReader()` Constructs a new Metamorph reader.

Method Summary
`static String` `decodeDate(int julian)` Converts a Julian date value into a human-readable string.
`static String` `decodeTime(int millis)` Converts a time value in milliseconds into a human-readable string.
`protected void` `initFile(String id)` Initializes the given Metamorph file.
`protected void` `initOMEMetadata()` Initialize the OME-XML tree.
`protected void` `initStandardMetadata()` Populates the metadata hashtable.
`boolean` `isThisType(byte[] block)` Checks if the given block is a valid header for a Metamorph file.
`static void` `main(String[] args)`

Methods inherited from class loci.formats.BaseTiffReader
`close, getImageCount, getTiffDimensions, initMetadata, open, put, put, put, put, put, put, put, put, put, put, putInt`

Methods inherited from class loci.formats.FormatReader
`createFilters, getMetadata, getMetadataValue, getOMENode, open, testRead`

Methods inherited from class loci.formats.FormatHandler
`getFileChooser, getFileFilters, getFormat, getSuffixes, isThisType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetamorphReader

    public MetamorphReader()

  Constructs a new Metamorph reader.

Method Detail

### isThisType

    public boolean isThisType(byte[] block)

  Checks if the given block is a valid header for a Metamorph file.

  Overrides:
    `isThisType` in class `BaseTiffReader`

### initFile

    protected void initFile(String id)
                     throws FormatException,
                            IOException

  Initializes the given Metamorph file.

  Overrides:
    `initFile` in class `BaseTiffReader`
  Throws:
    `FormatException`
    `IOException`

### initOMEMetadata

    protected void initOMEMetadata()

  Initialize the OME-XML tree.

  Overrides:
    `initOMEMetadata` in class `BaseTiffReader`

### initStandardMetadata

    protected void initStandardMetadata()

  Populates the metadata hashtable.

  Overrides:
    `initStandardMetadata` in class `BaseTiffReader`

### decodeDate

    public static String decodeDate(int julian)

  Converts a Julian date value into a human-readable string.

### decodeTime

    public static String decodeTime(int millis)

  Converts a time value in milliseconds into a human-readable string.

### main

    public static void main(String[] args)
                     throws FormatException,
                            IOException

  Throws:
    `FormatException`
    `IOException`